import React, { useContext } from "react";
import styles from "../../styles/header.module.scss";
import ThemeContext from "../../constants/theme-context";

export default function HeaderLogo(props) {
	// * no use while we change logo
	// const { theme } = useContext(ThemeContext);
	// const fillColor = theme === "dark" ? "#FFFFFF" : "#0081F8";
	// const classNames = [styles.topbar_logo, styles[`topbar_logo_${theme}`]];
	return (
		// * new logo
		<div className={styles.topbar_logo}>
			<img src="/KiripostOfficial.svg" />
		</div>

		// * old logo
		// <svg width="126px" height="34px" viewBox="0 0 189 52" className={classNames.join(" ")}>
		//   <g id="Detail-Light" transform="translate(-614.000000, -19.000000)" fill={fillColor}>
		//     <path d="M628.95,59 L628.95,54.7 L626.1,53.6 L626.1,47.2 L629.35,47.2 L634.95,59 L644,59 L644,54.7 L641.15,53.85 L635.9,43.75 L640.7,36.8 L643.1,36.2 L643.1,31.9 L630.35,32.35 L630.35,36.65 L632.55,37.15 L629.55,41.6 L626.1,41.6 L626.1,19.9 L614.55,20.35 L614.55,24.65 L617.6,25.65 L617.6,53.7 L614.55,54.7 L614.55,59 L628.95,59 Z M652.127388,28.8 C653.560722,28.8 654.719055,28.3833333 655.602388,27.55 C656.485722,26.7166667 656.927388,25.5333333 656.927388,24 C656.927388,22.4666667 656.494055,21.2916667 655.627388,20.475 C654.760722,19.6583333 653.610722,19.25 652.177388,19.25 C650.710722,19.25 649.535722,19.6666667 648.652388,20.5 C647.769055,21.3333333 647.327388,22.5166667 647.327388,24.05 C647.327388,25.5833333 647.760722,26.7583333 648.627388,27.575 C649.494055,28.3916667 650.660722,28.8 652.127388,28.8 Z M659.577388,59 L659.577388,54.7 L656.527388,53.65 L656.527388,31.95 L644.977388,32.35 L644.977388,36.6 L648.027388,37.65 L648.027388,53.65 L644.977388,54.7 L644.977388,59 L659.577388,59 Z M677.354777,59 L677.354777,54.7 L673.504777,53.65 L673.504777,40.2 C674.104777,39.5666667 674.779777,39.0583333 675.529777,38.675 C676.279777,38.2916667 677.004777,38.1 677.704777,38.1 C677.971443,38.1 678.154777,38.1166667 678.254777,38.15 L678.254777,38.15 L678.854777,42.1 L683.754777,42.1 L684.204777,31.95 C682.971443,31.6166667 681.821443,31.45 680.754777,31.45 C679.28811,31.45 677.88811,31.7833333 676.554777,32.45 C675.221443,33.1166667 673.83811,34.1333333 672.404777,35.5 L672.404777,35.5 L671.654777,31.85 L661.954777,32.35 L661.954777,36.6 L665.004777,37.7 L665.004777,53.65 L661.954777,54.7 L661.954777,59 L677.354777,59 Z M693.582165,28.8 C695.015498,28.8 696.173832,28.3833333 697.057165,27.55 C697.940498,26.7166667 698.382165,25.5333333 698.382165,24 C698.382165,22.4666667 697.948832,21.2916667 697.082165,20.475 C696.215498,19.6583333 695.065498,19.25 693.632165,19.25 C692.165498,19.25 690.990498,19.6666667 690.107165,20.5 C689.223832,21.3333333 688.782165,22.5166667 688.782165,24.05 C688.782165,25.5833333 689.215498,26.7583333 690.082165,27.575 C690.948832,28.3916667 692.115498,28.8 693.582165,28.8 Z M701.032165,59 L701.032165,54.7 L697.982165,53.65 L697.982165,31.95 L686.432165,32.35 L686.432165,36.6 L689.482165,37.65 L689.482165,53.65 L686.432165,54.7 L686.432165,59 L701.032165,59 Z M715.859553,70.5 L715.859553,67.85 L711.509553,66.95 L711.509553,58.9 C713.47622,59.3333333 715.159553,59.55 716.559553,59.55 C720.52622,59.55 723.667887,58.3166667 725.984553,55.85 C728.30122,53.3833333 729.459553,49.85 729.459553,45.25 C729.459553,42.4833333 729.034553,40.1 728.184553,38.1 C727.334553,36.1 726.167887,34.5833333 724.684553,33.55 C723.20122,32.5166667 721.509553,32 719.609553,32 C716.742887,32 713.842887,33.2833333 710.909553,35.85 L710.909553,35.85 L710.409553,32.3 L702.809553,32.65 L702.809553,35.3 L706.509553,36.2 L706.509553,66.9 L702.809553,67.85 L702.809553,70.5 L715.859553,70.5 Z M715.959553,55.9 C714.659553,55.9 713.17622,55.6666667 711.509553,55.2 L711.509553,55.2 L711.509553,38.65 C713.57622,36.7166667 715.659553,35.75 717.759553,35.75 C719.692887,35.75 721.259553,36.65 722.459553,38.45 C723.659553,40.25 724.259553,42.6833333 724.259553,45.75 C724.259553,48.9833333 723.55122,51.4833333 722.134553,53.25 C720.717887,55.0166667 718.659553,55.9 715.959553,55.9 Z M745.386942,59.5 C748.053608,59.5 750.353608,58.925 752.286942,57.775 C754.220275,56.625 755.703608,54.9833333 756.736942,52.85 C757.770275,50.7166667 758.286942,48.2 758.286942,45.3 C758.286942,41.1 757.220275,37.8333333 755.086942,35.5 C752.953608,33.1666667 750.020275,32 746.286942,32 C742.320275,32 739.220275,33.275 736.986942,35.825 C734.753608,38.375 733.636942,41.8666667 733.636942,46.3 C733.636942,50.5333333 734.661942,53.7916667 736.711942,56.075 C738.761942,58.3583333 741.653608,59.5 745.386942,59.5 Z M745.686942,55.85 C741.120275,55.85 738.836942,52.5833333 738.836942,46.05 C738.836942,42.6833333 739.453608,40.1083333 740.686942,38.325 C741.920275,36.5416667 743.703608,35.65 746.036942,35.65 C748.336942,35.65 750.078608,36.4833333 751.261942,38.15 C752.445275,39.8166667 753.036942,42.2833333 753.036942,45.55 C753.036942,48.85 752.411942,51.3916667 751.161942,53.175 C749.911942,54.9583333 748.086942,55.85 745.686942,55.85 Z M770.91433,59.5 C774.21433,59.5 776.905997,58.7666667 778.98933,57.3 C781.072663,55.8333333 782.11433,53.7833333 782.11433,51.15 C782.11433,49.55 781.722663,48.25 780.93933,47.25 C780.155997,46.25 779.21433,45.4916667 778.11433,44.975 C777.01433,44.4583333 775.580997,43.9166667 773.81433,43.35 C771.81433,42.7166667 770.347663,42.1166667 769.41433,41.55 C768.480997,40.9833333 768.01433,40.1333333 768.01433,39 C768.01433,37.9 768.472663,37.0333333 769.38933,36.4 C770.305997,35.7666667 771.51433,35.45 773.01433,35.45 C774.280997,35.45 775.61433,35.65 777.01433,36.05 L777.01433,36.05 L777.66433,39.45 L780.86433,39.45 L781.11433,33.4 C778.180997,32.4666667 775.430997,32 772.86433,32 C770.097663,32 767.780997,32.65 765.91433,33.95 C764.047663,35.25 763.11433,37.15 763.11433,39.65 C763.11433,41.25 763.497663,42.55 764.26433,43.55 C765.030997,44.55 765.955997,45.3083333 767.03933,45.825 C768.122663,46.3416667 769.530997,46.8666667 771.26433,47.4 C772.597663,47.8333333 773.647663,48.2166667 774.41433,48.55 C775.180997,48.8833333 775.822663,49.325 776.33933,49.875 C776.855997,50.425 777.11433,51.1166667 777.11433,51.95 C777.11433,53.25 776.522663,54.2583333 775.33933,54.975 C774.155997,55.6916667 772.730997,56.05 771.06433,56.05 C769.630997,56.05 768.21433,55.8666667 766.81433,55.5 L766.81433,55.5 L766.31433,51.25 L763.16433,51.25 L762.81433,58.3 C765.680997,59.1 768.380997,59.5 770.91433,59.5 Z M795.141718,59.5 C797.308385,59.5 799.675052,58.8166667 802.241718,57.45 L802.241718,57.45 L801.241718,54.6 C799.675052,55.3333333 798.308385,55.7 797.141718,55.7 C795.108385,55.7 794.091718,54.3666667 794.091718,51.7 L794.091718,51.7 L794.091718,35.9 L801.091718,35.9 L801.241718,32.5 L794.091718,32.5 L794.091718,25.75 L789.091718,26.6 L789.091718,32.45 L784.791718,33.2 L784.791718,35.9 L789.091718,35.9 L789.091718,52.4 C789.091718,54.7333333 789.616718,56.5 790.666718,57.7 C791.716718,58.9 793.208385,59.5 795.141718,59.5 Z" id="kiripost"></path>
		//   </g>
		// </svg>
	);
}
